Register
handmade.network»Forums»Work-in-Progress»Raylib install at Linux, cant recognize MATERIAL_MAP_DIFFUSE was not declared in this scope
Jorge Carretero
4 posts
Raylib install at Linux, cant recognize MATERIAL_MAP_DIFFUSE was not declared in this scope
3 weeks, 3 days ago Edited by Jorge Carretero on March 26, 2021, 5:39 p.m. Reason: Initial post
Hello community.-

I have installed Raylib from the packages of my Arch Linux distribution, everything seems ok but when i try to compile the 3d first person maze it throws an error "error "MATERIAL_MAP_DIFFUSE" was not declared in this scope." How can i setup raylib in Arch Linux? I dont know very new here, thank you in advance.
Simon Anciaux
980 posts
Raylib install at Linux, cant recognize MATERIAL_MAP_DIFFUSE was not declared in this scope
3 weeks, 3 days ago
Without more code it would be hard to help you. Where does the 3d first person maze code comes from ? (I don't have an Arch installation so I can't really help much).

You could try to get the last version of raylib on github to see if it changes things.

You should ask raylib questions in the raylib forum or maybe in the issue page on github.
Jorge Carretero
4 posts
Raylib install at Linux, cant recognize MATERIAL_MAP_DIFFUSE was not declared in this scope
3 weeks, 2 days ago Edited by Jorge Carretero on March 27, 2021, 5:54 p.m.
Now i have compiled with the Github source an i can see the examples, but when i run a example in CodeLite IDE no images are shown, yes its the first person maze the example i am using
Mārtiņš Možeiko
2205 posts / 1 project
Raylib install at Linux, cant recognize MATERIAL_MAP_DIFFUSE was not declared in this scope
3 weeks, 2 days ago Edited by Mārtiņš Možeiko on March 27, 2021, 7:19 p.m.
On MATERIAL_MAP_DIFFUSE symbol - raylib in Arch repositories seems to be 3.5.0 version, but in master 13 days ago there was renaming in this commit: https://github.com/raysan5/raylib...3be9869b28acae5cf1128472269626edb

It renamed MAP_DIFFUSE to MATERIAL_MAP_DIFFUSE here: https://github.com/raysan5/raylib...b3173a6a0c44445c24fee791a1e90L762

You can see 3.5.0 header with MAP_DIFFUSE here: https://github.com/raysan5/raylib/blob/3.5.0/src/raylib.h#L761

If you want to use examples or other code with Arch package, I suggest you use it from 3.5.0 tag so it matches raylib you installed from Arch repository: https://github.com/raysan5/raylib/tree/3.5.0
Jorge Carretero
4 posts
Raylib install at Linux, cant recognize MATERIAL_MAP_DIFFUSE was not declared in this scope
3 weeks, 2 days ago
I have compiled with Make and installed with Make Install, but now the ide (codelite) complains of not finding the picture assets Thank you again